Subject: Re: [PATCH v2 0/4] cat-file: optionally convert to worktree version

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Aug 2016 10:55:44 -0700

Jeff King <[email-masked]> writes:

> I don't suppose anybody cares that much either way, but it feels weird
> to behave differently depending on how we looked up the blob (whereas
> for the HEAD:t case, a tree is always a tree).

I do not care strongly either way, but HEAD:RelNotes case we _know_
it is not a regular blob, and discarding that info for the sake of
being consistent with the common denominator case, instead of using
it to point out a possible mistake, feels wrong, too.

In any case, not outputting anything and silently succeeding is
definitely wrong ;-).